UNM appears to be selectively blocking access to maven repositories
Description

First noticed around 2013-08-25 when Hudson builds that previously worked started to fail.

Further inspection indicated that the builds hung when maven was downloading certain dependencies. 

An example of a download that is hanging is:

http://repo1.maven.org/maven2/com/h2database/h2/1.3.163/h2-1.3.163.jar

Situation on 2013-08-28:

Retrieval using wget also failed.

Retrieval from another machine on the same network  worked fine

Situation on 2013-08-29:

Retrieval from by hudson maven processes still failing

Able to retrieve from other machines on UNM network, started setting up a separate hudson VM

Situation on 2013-08-30:

Unable to retrieve example URL from any test location on UNM. Retrieval from test locations at UCSB, KU, Annapolis, and ORC all

worked.

Using a socks proxy through UNM from Annapolis gives the same hung download behavior when using Firefox.

History

#1 - 2013-08-30 16:48 - Dave Vieglais

- Status changed from New to In Progress

2013-08-30 10:30ET - added a UNM IT ticket #388047

2013-08-30 12:20ET - hudson seems able to build ok now.  Keeping ticket open until able to verify a more permanent fix.

#2 - 2013-09-03 16:36 - Dave Vieglais

2013-09-03 11:30ET Hudson not building again. Talked with Chad at UNM IT who manages the intrusion protection system. He is not seeing any

blocks on 129.24.0.17, but is seeing a block on 129.24.0.47 related to a java vulnerability (this is redmine.dataone.org). The new Hudson VM at

64.106.40.17 is also being blocked from "heavy" attacks starting Sep 2. That VM has been shut down and deleted to avoid slight risk of

contamination.  Continuing to diagnose connectivity issue with maven central.

#3 - 2013-09-03 17:04 - Dave Vieglais
http://repo1.maven.org/maven2/com/h2database/h2/1.3.163/h2-1.3.163.jar


2013-09-03 13:00ET - Updated the "Purge Local Maven Repository" project to build once per week to reduce demand on the maven central

repository.  The build once / day was originally put into effect because of inconsistencies in product versions that were appearing in the local .m2

cache for Hudson. 

#4 - 2013-09-09 17:06 - Dave Vieglais

2013-09-09 12:30ET Skye reports hudson builds failed again this past Saturday. Inspection indicates that the same problem with .jar downloads

hanging. Hudson .m2 cache was cleaned, then hudson build threads set to 1, and wait time between builds set to 30 secs. Started build with

jibx_extensions, and the builds appear to be working OK (though much slower).

#5 - 2014-01-03 23:27 - Dave Vieglais

- Status changed from In Progress to Closed

- Product Version set to *

Issue resolved by reducing frequency of connection to maven central.
